//////////////////////////////////////////////////////////////////////////
// Copyright 2002-2006 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Words. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//////////////////////////////////////////////////////////////////////////
package com.aspose.words.documentexplorer;

import javax.swing.*;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/// <summary>
/// Shows an About form for this application.

/// </summary>
public class AboutForm extends JDialog
{
	private JPanel contentPane;
	private JButton buttonOK;
	private JTextPane textPane1;
	private JTextPane textPane2;
	private JLabel asposeIcon;

	public AboutForm()
	{
		setResizable(false);
		textPane1.setText("Use DocumentExplorer to:\n" +
		                  "-   Learn from source code how to use Aspose.Words in your project.\n" +
		                  "-   Visually explore document elements in the Aspose.Words Object Model.\n" +
		                  "using Aspose.Words.\n");
		textPane2.setFont(new Font("Verdana", Font.BOLD, 18));
		asposeIcon.setIcon(Utils.createImageIcon("images/aspose.gif"));

		setContentPane(contentPane);
		setModal(true);
		getRootPane().setDefaultButton(buttonOK);

		buttonOK.addActionListener(new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				onOK();
			}
		});
	}

	private void onOK()
	{
		dispose();
	}

}
